Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.tools.interaction.campaign
Class CampaignsIDBuilder

    java.lang.Object
      com.bea.portal.tools.resource.ResourceIDBuilder<T>
          com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder<CampaignsID>
              com.bea.portal.tools.interaction.campaign.CampaignsIDBuilder

All Implemented Interfaces
  Serializable, Cloneable

    public final class CampaignsIDBuilder

extends com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder<CampaignsID>

Builds and parses `CampaignsID` instances.

See Also
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class com.bea.portal.tools.resource.ResourceIDBuilder
`ResourceIDBuilder.ParseContext`

Field Summary

Fields inherited from class com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder
`tags`

Constructor Summary
`CampaignsIDBuilder()` Constructor.

Method Summary
`CampaignsID` | `createResourceID()` Create the `CampaignsID`.
`CampaignsIDBuilder` | `parseResourceURN(String resourceURN)` Parse the given URN.

Methods inherited from class com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder
`clone, getTag, getTags, getTagValue, getTagValue, parseResourcePath, processResourceTags, reset, setTagValue`

Methods inherited from class com.bea.portal.tools.resource.ResourceIDBuilder
`createParseContext, getExpectedResourceType, getResourceType, getResourceURN, parseResourceTypeNamespaceURI, parseResourceURN, resolveResourceType, setExpectedResourceType, setResourceType, setResourceURN, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CampaignsIDBuilder

    public CampaignsIDBuilder()

  Constructor.

Method Detail

### parseResourceURN

    public CampaignsIDBuilder parseResourceURN(String resourceURN)

  Parse the given URN.

  Overrides:
    `parseResourceURN` in class `com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder<CampaignsID>`
  Parameters
    `resourceURN` - the URN of the referrent resource
  Returns
    this `TaggedResourceIDBuilder`

### createResourceID

    public CampaignsID createResourceID()

  Create the `CampaignsID`.

  Overrides:
    `createResourceID` in class `ResourceIDBuilder<CampaignsID>`
  Returns
    the `CampaignsID`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.